%define name docbook-dtd412-xml
%define version 1.0 
%define release 5mdk
%define dtdver 4.1.2
%define mltyp xml

Name        	: %{name}
Version     	: %{version}
Release     	: %{release}
Group       	: Publishing

Summary     	: XML document type definition for DocBook %{dtdver}.

License   	: Distributable
URL         	: http://www.oasis-open.org/docbook/

Obsoletes       : docbook
Provides        : docbook-dtd-%{mltyp}
Prereq		: sgml-common >= 0.2

BuildRoot   	: %{_tmppath}/%{name}-buildroot

Prefix          : %{_prefix}          
# Zip file downloadable at http://www.oasis-open.org/docbook/%{mltyp}/%{dtdver}
Source0		: docbkx412.tar.bz2 
Patch0          : %{name}-%{version}.catalog.patch.bz2
BuildArch	: noarch  

%define sgmlbase %{_datadir}/sgml

%Description
The DocBook Document Type Definition (DTD) describes the syntax of
technical documentation texts (articles, books and manual pages).
This syntax is XML-compliant and is developed by the OASIS consortium.
This is the version %{dtdver} of this DTD.


%Prep
%setup
%patch -p1 

%Build


%Install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/docbook/%{mltyp}-dtd-%{dtdver}
install -m644 docbook.cat $RPM_BUILD_ROOT%{sgmlbase}/docbook/%{mltyp}-dtd-%{dtdver}/catalog
install -m644 *.dtd $RPM_BUILD_ROOT%{sgmlbase}/docbook/%{mltyp}-dtd-%{dtdver}
install -m644 *.mod $RPM_BUILD_ROOT%{sgmlbase}/docbook/%{mltyp}-dtd-%{dtdver}
ln -s ../../xml-iso-entities-8879.1986 $RPM_BUILD_ROOT%{sgmlbase}/docbook/%{mltyp}-dtd-%{dtdver}/ent

%Clean
rm -rf $RPM_BUILD_ROOT


%Files
%defattr (-,root,root)
%doc *.txt ChangeLog
%{sgmlbase}/docbook/%{mltyp}-dtd-%{dtdver}


%Post
%{_bindir}/install-catalog --add /etc/sgml/%{mltyp}-docbook-%{dtdver}.cat %{sgmlbase}/sgml-iso-entities-8879.1986/catalog >/dev/null 2>/dev/null
%{_bindir}/install-catalog --add /etc/sgml/%{mltyp}-docbook-%{dtdver}.cat %{sgmlbase}/docbook/%{mltyp}-dtd-%{dtdver}/catalog >/dev/null 2>/dev/null
ln -s -f /etc/sgml/%{mltyp}-docbook-%{dtdver}.cat /etc/sgml/%{mltyp}-docbook.cat


%Postun
# Do not remove if upgrade
if [ "$1" = "0" ]; then
    %{_bindir}/install-catalog --remove /etc/sgml/%{mltyp}-docbook-%{dtdver}.cat %{sgmlbase}/%{mltyp}-iso-entities-8879.1986/catalog >/dev/null 2>/dev/null
    %{_bindir}/install-catalog --remove /etc/sgml/%{mltyp}-docbook-%{dtdver}.cat %{sgmlbase}/docbook/%{mltyp}-dtd-%{dtdver}/catalog >/dev/null 2>/dev/null
fi

if [ ! -e /etc/sgml/%{mltyp}-docbook-%{dtdver}.cat ]
then rm -f /etc/sgml/%{mltyp}-docbook.cat
     OTHERCAT=`ls /etc/sgml/%{mltyp}-docbook-?.?.cat 2> /dev/null | head --lines 1`
     if [ -n "$OTHERCAT" ]; then ln -s $OTHERCAT /etc/sgml/%{mltyp}-docbook.cat; fi
fi

 
%changelog
* Thu Sep 06 2001 Camille Begnis <camille@mandrakesoft.com> 1.0-5mdk
- Suppress Requires           : xml-common (included in sgml-common)

* Mon Jun 11 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0-4mdk
- Merge patches from Abel Cheung:
- s/Copyright/License/
- Simplify %%files
- Source0 is not downloadable itself, it's just a re-compressed archive
- Relativisation of symlinks now works with non-root compilation
- Removed useless variable
- Corrected file permissions
- More macros
- Rearrange BuildArch to bottom, no idea why source and patch refuses to be
  removed otherwise
  
* Tue Mar 13 2001 Camille Begnis <camille@mandrakesoft.com> 1.0-3mdk
- Redirect install-catalog output to /dev/null

* Mon Jan 08 2001 Camille Begnis <camille@mandrakesoft.com> 1.0-2mdk
- Add link to ISO entities

* Thu Oct 19 2000 Camille Begnis <camille@mandrakesoft.com> 1.0-1mdk
- New for mandrake
